GDB (xrefs)

Public Member Functions | List of all members
gdb::xfree_deleter< T > Struct Template Reference

`#include "gdb_unique_ptr.h"`

## Public Member Functions
void | operator() (T *ptr) const

## Detailed Description

### template<typename T>
struct gdb::xfree_deleter< T >

Definition at line 32 of file gdb_unique_ptr.h.

## Member Function Documentation

## ◆ operator()()

template<typename T >

void gdb::xfree_deleter< T >::operator() | ( | T * | ptr | ) | const
| inline

Definition at line 34 of file gdb_unique_ptr.h.

References xfree().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/gdb_unique_ptr.h